---
title: Setup
description: 
published: true
date: 2024-02-18T19:15:10.681Z
tags: 
editor: markdown
dateCreated: 2023-02-16T21:10:44.132Z
---

# Plugin installation
1. Make sure you have [ProtocolLib](https://www.spigotmc.org/resources/protocollib.1997/) installed. Optionally also install [Vault](https://dev.bukkit.org/projects/vault) and an economy manager (like [EssentialsX](https://essentialsx.net/downloads.html)) to use economy.
2. Download the plugin on [Spigot](https://www.spigotmc.org/resources/50-off-vehiclesplus-1-12-1-19.70523/) or [Polymart](https://polymart.org/resource/vehiclesplus-1-12-1-19.633)
3. Put the JAR file into your `/plugins` folder.
4. Restart your server.

# Resourcepack download
We provide an **example** resourcepack to use with our plugin (and the provided example vehicles). We recommend creating your own resourcepack, so that you can add more custom vehicles.

| Version | Download | SHA1 Hash |
|:---:|:---:|---|
| 1.13.2 - 1.14.4 | [Click here](https://git.sbdevelopment.tech/SBDevelopment/VehiclesPlus/raw/branch/master/ResourcePacks/Examples-v3/VPExample-v3-1.13.2-1.14.4.zip) | `f1ef8bcaa399a891daf899a4d11a141dbd188af9` |
| 1.15.2 - 1.16.1 | [Click here](https://git.sbdevelopment.tech/SBDevelopment/VehiclesPlus/raw/branch/master/ResourcePacks/Examples-v3/VPExample-v3-1.15.2-1.16.1.zip) | `cac24fdce2052ff2a00927060d4ac219fbaa97f9` |
| 1.16.2 - 1.16.5 | [Click here](https://git.sbdevelopment.tech/SBDevelopment/VehiclesPlus/raw/branch/master/ResourcePacks/Examples-v3/VPExample-v3-1.16.2-1.16.5.zip) | `b7bc8a368d04da11d29ac1b85eb46500849d2cc5` |
| 1.17 - 1.17.1 | [Click here](https://git.sbdevelopment.tech/SBDevelopment/VehiclesPlus/raw/branch/master/ResourcePacks/Examples-v3/VPExample-v3-1.17-1.17.1.zip) | `9e837725a47d89ef52985bdbc3903f36004e268d` |
| 1.18 - 1.18.2 | [Click here](https://git.sbdevelopment.tech/SBDevelopment/VehiclesPlus/raw/branch/master/ResourcePacks/Examples-v3/VPExample-v3-1.18-1.18.2.zip) | `94c43c76790fa80bbf96e10ed06623b91837868a` |
| 1.19 - 1.19.2 | [Click here](https://git.sbdevelopment.tech/SBDevelopment/VehiclesPlus/raw/branch/master/ResourcePacks/Examples-v3/VPExample-v3-1.19-1.19.2.zip) | `3dc8cfc6022b630bb5f4fb056ad2e23d859ff87e` |
| 1.19.3 | [Click here](https://git.sbdevelopment.tech/SBDevelopment/VehiclesPlus/raw/branch/master/ResourcePacks/Examples-v3/VPExample-v3-1.19.3.zip) | `e02b679f44b5b13b8aa320edb3f1beab280d6088` |
| 1.19.4 | [Click here](https://git.sbdevelopment.tech/SBDevelopment/VehiclesPlus/raw/branch/master/ResourcePacks/Examples-v3/VPExample-v3-1.19.4.zip) | `64e95e2880c780e5b4ce70dd8c5e4fe00237bf46` |
| 1.20 - 1.20.1 | [Click here](https://git.sbdevelopment.tech/SBDevelopment/VehiclesPlus/raw/branch/master/ResourcePacks/Examples-v3/VPExample-v3-1.20-1.20.1.zip) | `7a4f8318de0dc4aeb400a5efba052b758ab97dd0` |
| 1.20.2 | [Click here](https://git.sbdevelopment.tech/SBDevelopment/VehiclesPlus/raw/branch/master/ResourcePacks/Examples-v3/VPExample-v3-1.20.2.zip) | `faa22f907e2304c3d7abf7e9364f4a728bd34838` |
| 1.20.3 - 1.20.4 | [Click here](https://git.sbdevelopment.tech/SBDevelopment/VehiclesPlus/raw/branch/master/ResourcePacks/Examples-v3/VPExample-v3-1.20.3-1.20.4.zip) | `405c3934e3ff2dae0f685a95ebbc11ce1e7ec774` |
| 1.20.5 - 1.20.6 | [Click here](https://git.sbdevelopment.tech/SBDevelopment/VehiclesPlus/raw/branch/master/ResourcePacks/Examples-v3/VPExample-v3-1.20.5-1.20.6.zip) | `160cee20706ecb47ac00d3427ca854b81df34466` |
| 1.21 | [Click here](https://git.sbdevelopment.tech/SBDevelopment/VehiclesPlus/raw/branch/master/ResourcePacks/Examples-v3/VPExample-v3-1.21.zip) | `0452c5ad6982d3cc0fea5ebcdc637db5f6f14eed` |

## Using our example pack as server resourcepack
It's also possible to use our example pack as your server resourcepack.

1. Open the `server.properties` file.
2. Copy the link of the [Click here](#) button for your server version and paste it after `resource-pack=`.
3. Copy the SHA1 hash for your server version and paste it after `resource-pack-sha1=`.