---
title: Setup
description: Instructions for the setup of VehiclesPlus.
published: true
date: 2024-04-07T10:58:30.366Z
tags: 
editor: markdown
dateCreated: 2023-02-16T21:10:41.502Z
---

# Plugin installation
**Supported Versions:** VehiclesPlus works on all Spigot/Paper versions from 1.12.x, **except 1.14.x**!

### Step 1: Check your Java version

VehiclesPlus requires **Java 11** or higher. Make sure your server is compatible with Java 11 or higher.

### Step 2: Download the latest version

Download the latest stable version from [SpigotMC](https://www.spigotmc.org/resources/vehiclesplus-1-12-1-20-4.70523/) or [Polymart](https://polymart.org/resource/vehiclesplus-1-12-1-20-4.633).

Put the .jar file into the `/plugins` folder of your server.

### Step 3: Download the dependencies
> VehiclesPlus **requires** additional plugins to work correctly. The plugin __WON'T LOAD__ without them.
{.is-warning}

VehiclesPlus requires [ProtocolLib](https://www.spigotmc.org/resources/protocollib.1997/), [Vault](https://www.spigotmc.org/resources/vault.34315/) and an economy plugin (like [EssentialsX](https://essentialsx.net/downloads.html)) to work. Make sure you have them installed!

### Step 4: Download the example resourcepack
> VehiclesPlus uses items to display the vehicles in your server. **If you don't use the resourcepack, it's not possible to see the vehicles.**
{.is-info}

Download the correct resourcepack for your Minecraft version and test it out in your Minecraft client. 

If you are satisfied, you can install it into your Minecraft server:
1. Open the `server.properties` file.
2. Copy the link of the [Click here](#) button for your server version and paste it after `resource-pack=`.
3. Copy the SHA1 hash for your server version and paste it after `resource-pack-sha1=`.

| Version | Download | SHA1 Hash |
|:---:|:---:|---|
| 1.12.2 | [Click here](https://git.sbdevelopment.tech/SBDevelopment/VehiclesPlus/raw/branch/master/ResourcePacks/Examples-v2/VPExample-v2-1.12.2.zip) | `e875afc2aa5d1ab8cc37765d186f28a250cfa49b` |
| 1.13.2 - 1.14.4 | [Click here](https://git.sbdevelopment.tech/SBDevelopment/VehiclesPlus/raw/branch/master/ResourcePacks/Examples-v2/VPExample-v2-1.13.2-1.14.4.zip) | `c184881260e7cf4ef42a4f2b7218107d9b175c8f` |
| 1.15.2 - 1.16.1 | [Click here](https://git.sbdevelopment.tech/SBDevelopment/VehiclesPlus/raw/branch/master/ResourcePacks/Examples-v2/VPExample-v2-1.15.2-1.16.1.zip) | `0279bbddc7af7130977bccdc62e05e1fb550116c` |
| 1.16.2 - 1.16.5 | [Click here](https://git.sbdevelopment.tech/SBDevelopment/VehiclesPlus/raw/branch/master/ResourcePacks/Examples-v2/VPExample-v2-1.16.2-1.16.5.zip) | `088c3eaae9435b9d663d12c02a31a813b3cf0414` |
| 1.17 - 1.17.1 | [Click here](https://git.sbdevelopment.tech/SBDevelopment/VehiclesPlus/raw/branch/master/ResourcePacks/Examples-v2/VPExample-v2-1.17-1.17.1.zip) | `7afe9acff63d1fc982fef0f94ad6b4ab02dbb795` |
| 1.18 - 1.18.2 | [Click here](https://git.sbdevelopment.tech/SBDevelopment/VehiclesPlus/raw/branch/master/ResourcePacks/Examples-v2/VPExample-v2-1.18-1.18.2.zip) | `271c2e4f6bb60a6f1741cd520d0a4d9f8dbdb72a` |
| 1.19 - 1.19.2 | [Click here](https://git.sbdevelopment.tech/SBDevelopment/VehiclesPlus/raw/branch/master/ResourcePacks/Examples-v2/VPExample-v2-1.19-1.19.2.zip) | `e0aaa23110c0c886acf20ec2ffe89118d5ad529b` |
| 1.19.3 | [Click here](https://git.sbdevelopment.tech/SBDevelopment/VehiclesPlus/raw/branch/master/ResourcePacks/Examples-v2/VPExample-v2-1.19.3.zip) | `0ff59bcda276949786c7b039c4756863dbe8ebb8` |
| 1.19.4 | [Click here](https://git.sbdevelopment.tech/SBDevelopment/VehiclesPlus/raw/branch/master/ResourcePacks/Examples-v2/VPExample-v2-1.19.4.zip) | `b50f2dbe062aa046f0f2a2949c1fc013698b13dc` |
| 1.20 - 1.20.1 | [Click here](https://git.sbdevelopment.tech/SBDevelopment/VehiclesPlus/raw/branch/master/ResourcePacks/Examples-v2/VPExample-v2-1.20-1.20.1.zip) | `2be179214e6199487223ba47856ff50184b6a8c6` |
| 1.20.2 | [Click here](https://git.sbdevelopment.tech/SBDevelopment/VehiclesPlus/raw/branch/master/ResourcePacks/Examples-v2/VPExample-v2-1.20.2.zip) | `389459860093a152a863f3d002260763219413bb` |
| 1.20.3 - 1.20.4 | [Click here](https://git.sbdevelopment.tech/SBDevelopment/VehiclesPlus/raw/branch/master/ResourcePacks/Examples-v2/VPExample-v2-1.20.3-1.20.4.zip) | `bcc713955c22ca04b219d335a585a93ffdda56ef` |
| 1.20.5 - 1.20.6 | [Click here](https://git.sbdevelopment.tech/SBDevelopment/VehiclesPlus/raw/branch/master/ResourcePacks/Examples-v2/VPExample-v2-1.20.5-1.20.6.zip) | `28cba204318a7f985a12239aece1e8e8f236f619` |
| 1.21 - 1.21.1 | [Click here](https://git.sbdevelopment.tech/SBDevelopment/VehiclesPlus/raw/branch/master/ResourcePacks/Examples-v2/VPExample-v2-1.21-1.21.1.zip) | `28fae42b8eca5bcb6cf58d245db88ae3a1402b4b` |

> **The plugin is designed to make it easy to create your own vehicles.** We recommend making or buying your own vehicles to suit your server better.<br>
> If you want to buy one of the example vehicles included with the plugin, you can find them [here](https://polymart.org/team/sbdevelopment.93).
> {.is-warning}

### 4. Restart your server

Restart your server using the Restart button. Do ***NOT*** reload, it will break the plugin!

### 5. Have fun!

The plugin is now installed into your Minecraft server! Have fun with testing the plugin and creating your own vehicles.